Get Ai Assistant LLM Support

Get Ai Assistant LLM Support
Get information about supported LLM providers, regions, and models

Get information about supported LLM providers, regions, and models for AI Assistants. Shared by AI Assistants for Firewall, Avi and Threat-Defense. Returns LLM support information for the specified usage type.

Request
URI
GET
https://{api_host}/ai-assistants/llm-support
COPY
Query Parameters
usage
Required  

Usage type to filter LLM support information.


Authentication
This operation uses the following authentication methods.
Responses
200

Get operation completed successfully. The response schema depends on the usage query parameter:

  • BROADCOM_ACCOUNT_CONFIG and AI_ASSISTANT_THREAT_DEFENSE return AIAssistantsLLMProviderSupport (providers with regions and supported_models per tier).
  • AI_ASSISTANT_PLATFORM returns AIAssistantsLLMUsageSupport (embedding_bundles, each with its own regions list).
Returns AIAssistantsLLMSupportResponse of type(s) application/json
OneOf
This class returns at least one of the following:
{
    "providers": [
        {
            "name": "GCP",
            "regions": [
                {
                    "name": "us-east1"
                }
            ],
            "supported_models": {
                "embedding_models": [
                    {
                        "name": "gemini-embedding-001",
                        "expiry_date": null
                    }
                ],
                "high_iq": [
                    {
                        "name": "gemini-2.5-pro",
                        "expiry_date": null
                    }
                ],
                "normal_iq": [
                    {
                        "name": "gemini-2.5-flash",
                        "expiry_date": null
                    }
                ],
                "low_iq": [
                    {
                        "name": "gemini-2.5-flash-lite",
                        "expiry_date": null
                    }
                ]
            }
        }
    ]
}

400

Bad request - invalid or missing usage parameter.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Get operation encountered error.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ai-assistants/llm-support?usage=v